Package org.apache.commons.codec.binary

# Class Base32.Builder

java.lang.Object
org.apache.commons.codec.binary.BaseNCodec.AbstractBuilder<Base32,Base32.Builder>
org.apache.commons.codec.binary.Base32.Builder

All Implemented Interfaces:
  `Supplier<Base32>`

Enclosing class:
  `Base32`

public static class Base32.Builder extends BaseNCodec.AbstractBuilder<Base32,Base32.Builder>
Builds `Base32` instances.

Since:
  1.17.0

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Builder()`
  Constructs a new instance.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Base32`
  `get()`
  `Base32.Builder`
  `setHexDecodeTable(boolean useHex)`
  Sets the decode table to use Base32 hexadecimal if `true`, otherwise use the Base32 alphabet.
  `Base32.Builder`
  `setHexEncodeTable(boolean useHex)`
  Sets the encode table to use Base32 hexadecimal if `true`, otherwise use the Base32 alphabet.

  ### Methods inherited from class org.apache.commons.codec.binary.BaseNCodec.AbstractBuilder

  `setDecodingPolicy, setEncodeTable, setLineLength, setLineSeparator, setPadding`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Builder

    public Builder()
    Constructs a new instance.

- ## Method Details

  - ### get

    public Base32 get()

  - ### setHexDecodeTable

    public Base32.Builder setHexDecodeTable(boolean useHex)
    Sets the decode table to use Base32 hexadecimal if `true`, otherwise use the Base32 alphabet.

    This overrides a value previously set with `BaseNCodec.AbstractBuilder.setEncodeTable(byte...)`.

    Parameters:
      `useHex` - use Base32 hexadecimal if `true`, otherwise use the Base32 alphabet.
    Returns:
      this instance.
    Since:
      1.18.0

  - ### setHexEncodeTable

    public Base32.Builder setHexEncodeTable(boolean useHex)
    Sets the encode table to use Base32 hexadecimal if `true`, otherwise use the Base32 alphabet.

    This overrides a value previously set with `BaseNCodec.AbstractBuilder.setEncodeTable(byte...)`.

    Parameters:
      `useHex` - use Base32 hexadecimal if `true`, otherwise use the Base32 alphabet.
    Returns:
      this instance.
    Since:
      1.18.0